{
  pkgs,
  flake,
  ...
}: let
  inherit (flake.config.aesthetics.themes.theme) font;
in {
  fonts = {
    fontconfig = {
      enable = true;
      defaultFonts = {
        serif = [font];
        monospace = [font];
        sansSerif = [font];
        emoji = ["Noto Fonts Color Emoji"];
      };
      antialias = true;
    };
    packages = builtins.attrValues {
      inherit
        (pkgs)
        noto-fonts-color-emoji
        ;
      inherit
        (pkgs.nerd-fonts)
        monaspace
        ;
    };
  };
}
